import React__default from 'react';

const ManagerContainer = props => {
    const { active, api, route } = props;
    const ATTACH_DOCS_PAGE = `attach_docs_page_${route}`;
    const channel = React__default.useMemo(() => api.getChannel(), []);
    const sendMessage = () => {
        const story = api.getCurrentStoryData();
        channel.emit(ATTACH_DOCS_PAGE, { active, storyId: story === null || story === void 0 ? void 0 : story.id });
    };
    React__default.useEffect(() => {
        const wrapper = document.getElementById('storybook-preview-wrapper');
        const updateDOM = () => {
            sendMessage();
            if (wrapper) {
                wrapper.removeAttribute('hidden');
            }
        };
        updateDOM();
    }, [active]);
    return null;
};

export { ManagerContainer };
