'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

const ManagerContainer = props => {
    const { active, api, route } = props;
    const ATTACH_DOCS_PAGE = `attach_docs_page_${route}`;
    const channel = React__default.useMemo(() => api.getChannel(), []);
    const sendMessage = () => {
        const story = api.getCurrentStoryData();
        channel.emit(ATTACH_DOCS_PAGE, { active, storyId: story === null || story === void 0 ? void 0 : story.id });
    };
    React__default.useEffect(() => {
        const wrapper = document.getElementById('storybook-preview-wrapper');
        const updateDOM = () => {
            sendMessage();
            if (wrapper) {
                wrapper.removeAttribute('hidden');
            }
        };
        updateDOM();
    }, [active]);
    return null;
};

exports.ManagerContainer = ManagerContainer;
